## How to integrate MailChimp in a JavaScript web app
This folder contains the ending code for our tutorial on how to add MailChimp integration to a simple JavaScript web app. In the tutorial, you build a form for guest users to subscribe to a MailChimp newsletter.

- [link to tutorial](https://medium.freecodecamp.org/how-to-integrate-mailchimp-in-a-javascript-web-app-2a889fb43f6f). 
- [link to deployed app](https://mailchimp.builderbook.org/subscribe). 


## Run locally
- Clone the builderbook repo to your local machine: `git clone git@github.com:builderbook/builderbook.git`
- Inside the `tutorials/1-end` folder, run `yarn` to add packages
- Start the app with `yarn dev`
- _Important note_: You will need to add your own MailChimp `listId` and `API_KEY` values in the `server/mailchimp.js` file


## Project structure

```
.
├── components                  # React components
│   ├── Header.js               # Header component
│   ├── SharedStyles.js         # List of _reusable_ styles
├── lib                         # Code available on both client and server
│   ├── api                     # Client-side API methods
│   │   ├── public.js           # Public user methods
│   ├── context.js              # Context for Material-UI integration
│   ├── withLayout.js           # HOC for SSR with Material-UI and more
├── pages                       # Pages
│   ├── _document.js            # Main Document for Next.js pages
│   ├── login.js                # Login page
│   ├── subscribe.js            # Subscribe page
│   ├── index.js                # Dashboard page
├── server                      # Server code
│   ├── app.js                  # Custom Express/Next server
│   ├── mailchimp.js            # MailChimp API
├── .babelrc                    # Config for Babel
├── .eslintrc.js                # Config for Eslint
├── .gitignore                  # List of ignored files and directories
├── package.json                # List of packages and scripts
├── yarn.lock                   # Exact versions of packages. Generated by yarn.

```
